[P035]Patent Valuation

get
https://connect.patsnap.com/patent-valuation-data/patent_valuation
Try in Sandbox

Receive patent valuation data by patent_id or patent_number. This includes patent valuation (US dollar unit), technology value score, strategic value score, market value score, economic value score, and legal value score (scores are out of 100).

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
string27f3d3fe-60d8-47a2-803c-124424cfd7d7
patent_id
patent_number
stringCN1840350A
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patsnap_patent_valuation
objectPlease check the form: PatsnapPatentValuationData
patsnap patent valuation
patent_value
integer<int32>43000
Patsnap patent valuation (USD)
patsnap_legal
integer<int32>71
Legal value
patsnap_market
integer<int32>18
Market value
patsnap_economy
integer<int32>23
Economic value
patsnap_strategic
integer<int32>71
Strategic value
patsnap_technology
integer<int32>28
Technology value
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patsnap_patent_valuation": {
        "patent_value": 43000,
        "patsnap_legal": 71,
        "patsnap_market": 18,
        "patsnap_economy": 23,
        "patsnap_strategic": 71,
        "patsnap_technology": 28
      }
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found